/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.enums;

import java.util.HashMap;

public enum PowerShellAsyncTaskStatus {

    unknown(0),
    init(1),
    running(2),
    finished(3),
    aborting(4),
    cleaning(5);

    private static HashMap<Integer, PowerShellAsyncTaskStatus> mapping;
    static {
        mapping = new HashMap<Integer, PowerShellAsyncTaskStatus>();
        for (PowerShellAsyncTaskStatus value : values()) {
            mapping.put(value.getValue(), value);
        }
    }

    private int value;

    private PowerShellAsyncTaskStatus(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }

    public static PowerShellAsyncTaskStatus forValue(int value) {
        return mapping.get(value);
    }
}
