/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.enums;

import java.util.HashMap;

import com.redhat.rhevm.api.model.NicInterface;

public enum PowerShellVmInterfaceType {
    rtl8139_pv(NicInterface.RTL8139_VIRTIO),
    rtl8139(NicInterface.RTL8139),
    e1000(NicInterface.E1000),
    pv(NicInterface.VIRTIO);

    private static HashMap<NicInterface, PowerShellVmInterfaceType> mapping;
    static {
        mapping = new HashMap<NicInterface, PowerShellVmInterfaceType>();
        for (PowerShellVmInterfaceType value : values()) {
            mapping.put(value.model, value);
        }
    }

    private NicInterface model;

    private PowerShellVmInterfaceType(NicInterface model) {
        this.model = model;
    }

    public NicInterface map() {
        return model;
    }

    public static PowerShellVmInterfaceType forModel(NicInterface model) {
        return mapping.get(model);
    }
}
