/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import com.redhat.rhevm.api.model.Domain;
import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellDomain {

    private static String TYPE = "System.String";

    public static List<Domain> parse(PowerShellParser parser, String output) {
        List<Domain> ret = new ArrayList<Domain>();
        Set<String> domains = new HashSet<String>();

        for (PowerShellParser.Entity entity : parser.parse(output)) {
            if (!TYPE.equals(entity.getType())) {
                continue;
            }

            String name = entity.getValue();
            if (!domains.contains(name)) {
                Domain domain = new Domain();
                domain.setName(name);
                domain.setId(name);
                domains.add(name);
                ret.add(domain);
            }
        }

        return ret;
    }
}
