/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.model;

import java.util.ArrayList;
import java.util.List;

import com.redhat.rhevm.api.model.StorageType;
import com.redhat.rhevm.api.powershell.enums.PowerShellStorageType;
import com.redhat.rhevm.api.powershell.util.PowerShellParser;

public class PowerShellStorageDevice {

    private String id;
    private StorageType type;

    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }

    public StorageType getType() {
        return type;
    }
    public void setType(StorageType type) {
        this.type = type;
    }

    public static List<PowerShellStorageDevice> parse(PowerShellParser parser, String output) {
        List<PowerShellStorageDevice> ret = new ArrayList<PowerShellStorageDevice>();

        for (PowerShellParser.Entity entity : parser.parse(output)) {
            PowerShellStorageDevice device = new PowerShellStorageDevice();

            device.setId(entity.get("id"));
            device.setType(entity.get("luntype", PowerShellStorageType.class).map());

            ret.add(device);
        }

        return ret;
    }
}
