/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.resource;

import java.text.MessageFormat;

import com.redhat.rhevm.api.common.resource.AbstractActionableResource.AbstractActionTask;
import com.redhat.rhevm.api.model.Action;

public abstract class AbstractPowerShellActionTask extends AbstractActionTask {

    // REVISIT: i18n
    private static final String REASON = "Powershell command \"{0}\" failed with ";

    protected String command;

    protected AbstractPowerShellActionTask(Action action, String command) {
        super(action, MessageFormat.format(REASON, escape(command)) + "{0}");
        this.command = command;
    }

    private static final String QUOTE = "'";
    private static final String OPEN_BRACE = "{";
    private static final String CLOSE_BRACE = "}";

    private static String escape(String arg) {
        String[] toEscape = { OPEN_BRACE, CLOSE_BRACE };
        for (String c : toEscape) {
            arg = arg.replace(c, QUOTE + c + QUOTE);
        }
        return arg;
    }
}
