/*
* Copyright © 2010 Red Hat, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*           http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

package com.redhat.rhevm.api.powershell.util;

import java.io.InputStream;
import java.io.IOException;
import java.util.Scanner;

public class PowerShellTestUtils {

    public static String readClassPathFile(String name) {
        InputStream is = PowerShellTestUtils.class.getClassLoader().getResourceAsStream(name);
        try {
            StringBuilder outputBuffer = new StringBuilder();
            Scanner sc = new Scanner(is);
            while (sc.hasNext()) {
                outputBuffer.append(sc.nextLine() + "\n");
            }
            return outputBuffer.toString();
        } finally {
            try {
                is.close();
            } catch (IOException ioe) {
                // ignore
            }
        }
    }
}
